import 'package:nui_core/nui_core.dart';
import 'package:nui_core/ui/component/listview/nui_list_item_repo.dart';
import 'package:nui_media/model/nui_media_models.dart';
import 'package:nui_media/ui/nui_media_preview.dart';
import 'package:nui_media/ui/nui_media_selection_horizontal.dart';

class NUIMediaListItemRepo extends NUIListItemRepository{
  @override
  void registerListItems(){
    registerItem(NUIListItem(entityClass: NUIMediaHorizontalSelection, shadowRadius:4, inflater: (dynamic data, int position, NUIListActionHandler handler) => NUIListItemImageHorizontal(file: data, handler: handler)));
    registerItem(NUIListItem(entityClass: NUIMediaHorizontalCameraSelection, shadowRadius:4, inflater: (dynamic data, int position, NUIListActionHandler handler) => NUIListItemCameraHorizontal(handler: handler)));
    registerItem(NUIListItem(entityClass: NUIMediaPagerImage, inflater: (dynamic data, int position, NUIListActionHandler handler) => NUIImagePreviewContent(data, handler: handler)));
    registerItem(NUIListItem(entityClass: NUIMediaPagerVideo, inflater: (dynamic data, int position, NUIListActionHandler handler) => NUIVideoPreviewContent(data, handler: handler)));
  }
}