library nui_media;

import 'package:flutter/cupertino.dart';
import 'package:nui_core/code/nui_code_util.dart';

export 'package:nui_media/model/nui_media_file.dart';
export 'package:nui_media/model/nui_media_list_repo.dart';
export 'package:nui_media/model/nui_media_models.dart';
export 'package:nui_media/ui/nui_video_list_player.dart';
export 'package:nui_media/ui/nui_video_listview_player.dart';
export 'package:nui_media/ui/nui_video_player.dart';
export 'package:nui_media/ui/nui_media_selection_horizontal.dart';
export 'package:nui_media/nui_media_util.dart';
export 'package:nui_media/nui_camera_util.dart';

class NUIMedia {
  NUIMedia._builder(){
    WidgetsFlutterBinding.ensureInitialized();
  }
}

class NUIMediaBuilder{
  NUIMedia build(){
    final media = NUIMedia._builder();
    logNUI("NUIMedia", "Initialization complete");
    return media;
  }
}